Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## igeo.io
Enum IRhino3dm.BrepTrim.Type

    java.lang.Object
      java.lang.Enum<IRhino3dm.BrepTrim.Type>
          igeo.io.IRhino3dm.BrepTrim.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IRhino3dm.BrepTrim.Type>

Enclosing class:
  IRhino3dm.BrepTrim

    public static enum IRhino3dm.BrepTrim.Type

extends java.lang.Enum<IRhino3dm.BrepTrim.Type>

Enum Constant Summary
`Boundary`
`CrvOnSrf`
`Mated`
`PtOnSrf`
`Seam`
`Singular`
`Slit`
`TrimTypeCount`
`Unknown`

Method Summary
`static IRhino3dm.BrepTrim.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IRhino3dm.BrepTrim.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Unknown

    public static final IRhino3dm.BrepTrim.Type Unknown

### Boundary

    public static final IRhino3dm.BrepTrim.Type Boundary

### Mated

    public static final IRhino3dm.BrepTrim.Type Mated

### Seam

    public static final IRhino3dm.BrepTrim.Type Seam

### Singular

    public static final IRhino3dm.BrepTrim.Type Singular

### CrvOnSrf

    public static final IRhino3dm.BrepTrim.Type CrvOnSrf

### PtOnSrf

    public static final IRhino3dm.BrepTrim.Type PtOnSrf

### Slit

    public static final IRhino3dm.BrepTrim.Type Slit

### TrimTypeCount

    public static final IRhino3dm.BrepTrim.Type TrimTypeCount

Method Detail

### values

    public static IRhino3dm.BrepTrim.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IRhino3dm.BrepTrim.Type c : IRhino3dm.BrepTrim.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IRhino3dm.BrepTrim.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD